<wide-header-page title="{{titlePage | translate}}">
  <ion-buttons right *ngIf="showOptions(wallet?.coin) && !isDonation">
    <button wide-header-bar-button clear class="option-button" (click)="showMoreOptions()" ion-button icon-only>
      <ion-icon name="ios-more" md="ios-more"></ion-icon>
    </button>
  </ion-buttons>
  <div page-content>
    <div class="prompt-user-fullscreen-container" *ngIf="shouldShowZeroState() && !isDonation">
      <div>
        <div class="prompt-user">
          <div class="title-icon larger-icon">
            <img *ngIf="wallet.coin !== 'doge'" src="assets/img/ghost-straight-face.svg">
            <img *ngIf="wallet.coin === 'doge'" src="assets/img/sad-doge.svg">
          </div>
          <div class="title-info">
            <span translate>Mmm...</span>
          </div>
          <div class="subtitle-info" *ngIf="wallet.coin !== 'xrp'; else minXrp">
            <span translate>It appears that you do not have any money to send.</span>
          </div>
        </div>

        <ng-template #minXrp>
          <div class="subtitle-info">
            <p translate>You need a minimum of 20 XRP to send funds.</p>
          </div>
        </ng-template>
      </div>
    </div>

    <div *ngIf="!shouldShowZeroState()">
      <ng-container *ngIf="!isDonation">
        <div class="send-header-wrapper">
          <ion-item class="search-wrapper" [ngClass]="{'invalid': invalidAddress && search != ''}">
            <ion-input placeholder="{{'Search contact or enter address' | translate}}" [(ngModel)]="search" (ngModelChange)="processInput()"></ion-input>
            <ion-icon *ngIf="invalidAddress && search != ''" item-end class="backspace-icon" name="backspace" (click)="cleanSearch()"></ion-icon>
            <ion-icon *ngIf="isCordova" item-end class="scan-icon" (click)="openScanner()">
              <img src="assets/img/scan-ico.svg">
            </ion-icon>
          </ion-item>
        </div>
  
        <div text-center>
          <button [disabled]="!validDataFromClipboard" ion-button item-end clear (click)="pasteFromClipboard()" translate>
            Paste from Clipboard
          </button>
        </div>
      </ng-container>

      <page-transfer-to [wallet]="wallet" [searchInput]="search" [dataDonation]="dataDonation" [useAsModal]="false" [fromWalletDetails]="true" #transferTo></page-transfer-to>

    </div>
  </div>
</wide-header-page>